Rekening betalings

GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Besonderhede Beskrywing
processor Opsioneel String Toegelate waardes: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut
status Opsioneel String Toegelate waardes: paid, pending, cancelled, refunded
type Opsioneel String Toegelate waardes: one_time, recurring
frequency Opsioneel String Toegelate waardes: monthly, quarterly, biannual, annual, lifetime
datetime_field Opsioneel String Toegelate waardes: datetime
datetime_start Opsioneel String Filter resultate vanaf hierdie datum en tyd. Y-m-d H:i:s-formaat.
datetime_end Opsioneel String Filter resultate tot hierdie datum en tyd. Y-m-d H:i:s-formaat.
order_by Opsioneel String Watter veld om die resultate volgens te orden. Toegelate waardes is: id, datetime, total_amount.
order_type Opsioneel String Die ordening van die resultate. Toegestane waardes is: ASC vir opgaande ordening, en DESC vir afgaande ordening.
page Opsioneel Heelgetal Die bladsynommer waarvan jy resultate wil hê. Standaard op 1.
results_per_page Opsioneel Heelgetal Hoeveel resultate wil jy per bladsy hê. Toegestane waardes is: 10, 25, 50, 100, 250, 500, 1000. Standaard is 25.
{
    "data": [
        {
            "id": 1,
            "plan_id": 1,
            "processor": "stripe",
            "type": "one_time",
            "frequency": "monthly",
            "email": "[email protected]",
            "name": null,
            "total_amount": "4.99",
            "currency": "USD",
            "status": true,
            "datetime": "2026-07-18 11:36:20",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://tistos.com/api/payments?page=1",
        "last": "https://tistos.com/api/payments?page=1",
        "next": null,
        "prev": null,
        "self": "https://tistos.com/api/payments?page=1"
    }
}
GET https://tistos.com/api/payments/{payment_id}
curl --request GET \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "plan_id": 1,
        "processor": "stripe",
        "type": "one_time",
        "frequency": "monthly",
        "email": "[email protected]",
        "name": null,
        "total_amount": "4.99",
        "currency": "USD",
        "status": true,
        "datetime": "2026-07-18 11:36:20",
    }
}